Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::WvOut Class Reference

STK audio output abstract base class. More...

`#include <WvOut.h>`

Inheritance diagram for stk::WvOut:

List of all members.

## Public Member Functions
| WvOut (void)
| Default constructor.
unsigned long | getFrameCount (void) const
| Return the number of sample frames output.
StkFloat | getTime (void) const
| Return the number of seconds of data output.
bool | clipStatus (void)
| Returns `true` if clipping has been detected during output since instantiation or the last reset.
void | resetClipStatus (void)
| Reset the clipping status to `false`.
virtual void | tick (const StkFloat sample)=0
| Output a single sample to all channels in a sample frame.
virtual void | tick (const StkFrames &frames)=0
| Output the StkFrames data.

## Detailed Description

STK audio output abstract base class.

This class provides common functionality for a variety of audio data output subclasses.

Currently, WvOut is non-interpolating and the output rate is always Stk::sampleRate().

by Perry R. Cook and Gary P. Scavone, 1995 - 2010.

## Member Function Documentation

virtual void stk::WvOut::tick | ( | const StkFloat | sample | ) | `[pure virtual]`

Output a single sample to all channels in a sample frame.

An StkError is thrown if an output error occurs.

Implemented in stk::FileWvOut, stk::InetWvOut, and stk::RtWvOut.

The documentation for this class was generated from the following file:

- WvOut.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.